export default TfFrame;
declare class TfFrame extends Group {
    static getName(frameId: any): string;
    constructor(frameId: any);
    arrow: Arrow;
    applyQuaternion(quaternion: import("three").Quaternion): TfFrame;
    rotateOnAxis(axis: import("three").Vector3, angle: number): TfFrame;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): TfFrame;
    rotateX(angle: number): TfFrame;
    rotateY(angle: number): TfFrame;
    rotateZ(angle: number): TfFrame;
    translateOnAxis(axis: import("three").Vector3, distance: number): TfFrame;
    translateX(distance: number): TfFrame;
    translateY(distance: number): TfFrame;
    translateZ(distance: number): TfFrame;
    add(...object: import("three").Object3D[]): TfFrame;
    remove(...object: import("three").Object3D[]): TfFrame;
    attach(object: import("three").Object3D): TfFrame;
    clone(recursive?: boolean | undefined): TfFrame;
    copy(source: TfFrame, recursive?: boolean | undefined): TfFrame;
}
import Group from "./Group";
import Arrow from "./Arrow";
